Name:           olpc-library-common
Version:        1
Release:        21%{?dist}
Summary:        Core XO library files and scripts 
Requires:       sugar, python-jinja

Group:          Applications/Activities
License:        GPLv2
URL:            http://wiki.laptop.org/go/Library
Source0:        http://dev.laptop.org/pub/content/tars/olpc-library-common.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Core library functionality shipped with the XO base system, including the makeindex.py script, the default css and js for library displays, and default library config data.  This includes core category names and localizations, and the library start page.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}
tar -xvf %{SOURCE0} -C $RPM_BUILD_ROOT%{_datadir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
%{_datadir}/library-common/


%changelog
* Fri Jan 31 2008 Benjamin Mako Hill <mako@atdot.cc> 1-21
- fix pattern to match utf-8 locales
* Fri Jan 19 2008 SJ Klein <sj@laptop.org> 1-20
- fix index render bug in header; typo
* Wed Jan 16 2008 SJ Klein <sj@laptop.org> 1-19
- small core css change
* Tue Jan 15 2008 SJ Klein <sj@laptop.org> 1-18
- style/css changes
* Sun Jan 13 2008 SJ Klein <sj@laptop.org> 1-17
- Typo fix, es translation in config/
* Tue Jan 8 2008 SJ Klein <sj@laptop.org> 1-16
- Link to index.html rather than bundle_index.html for compatibility
* Mon Dec 31 2007 SJ Klein <sj@laptop.org> 1-15
- Merge of earlier changes 
* Fri Dec 21 2007 Benjamin Mako Hill<mako@atdot.cc> 1-14
- Fixed localization of categories support.
* Thu Dec 20 2007 SJ Klein <sj@laptop.org> 1-13
- New xo-start; new handling of bundle_index for compatibility. 
* Mon Dec 17 2007 Benjamin Mako Hill <mako@atdot.cc> 1-12
- Reverted introduction of webserver. Moved backed to static pages and
  placed workaround for the relative link issue.
* Thu Dec 13 2007 Benjamin Mako Hill <mako@atdot.cc> 1-11
- Moved library to dynamically generated pages through the new
  on-machine webserver
* Thu Nov 29 2007 SJ Klein <sj@laptop.org> 1-9
- Adding Walter's new getting-started pages; Fixing widespread links to 
  local index.html
* Thu Nov 29 2007 SJ Klein <sj@laptop.org> 1-8
- Index and image updates, returning to familiar bundleset
* Thu Nov 29 2007 SJ Klein <sj@laptop.org> 1-7
- Bundles for local install update
* Thu Nov 29 2007 SJ Klein <sj@laptop.org> 1-6
- Fixed CSS in indices.
- Fixed mako's date in the previous changelog entry.
* Thu Nov 29 2007 Benjamin Mako Hill <mako@laptop.org> 1-5
- bumped number to not clash with sj's other packages
* Thu Nov 29 2007 Benjamin Mako Hill <mako@laptop.org> 1-4
- Changed bundle_index file location to /home/olpc/.library_pages to
  work around security and other issues
- make_index.py now looks both in /home/olpc/Library and
  /usr/share/activities to address upgrade issues
* Sat Nov 17 2007 Benjamin Mako Hill <mako@laptop.org> 1-3
- Added dependency on sugar
* Tue Nov 13 2007 Benjamin Mako Hill <mako@laptop.org> 1-2
- Renamed to olpc-library-common
- Changed software to fix bugs based on the new location of the library
  data.
* Tue Nov 12 2007 SJ Klein <sj@laptop.org> 1-1
- Initial build from new source 
